Bug 1466052 - [RFE][UX] Reconfigure OpenShift on RHV hot-add CPU
[RFE][UX] Reconfigure OpenShift on RHV hot-add CPU
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Eric Paris
Xiaoli Tian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 17:33 EDT by Thom Carlin
Modified: 2017-06-30 07:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2017-06-28 17:33:17 EDT
Description of enhancement:

With later version of Docker, hot-adding CPU(s) is detected and Docker adjusts automatically.  Enhancement request is for OpenShift to similarly adjust.

Version-Release number of selected component (if applicable):

3.5.0

Additional info:

Current workaround:
* systemctl restart atomic-openshift-node

We encountered this when deploying pods on nodes using default values.  Some pods went into PENDING due to Insufficient pods.

"oc describe nodes" can be used to see the current values and pods running on that node.

"docker info" is similarly used to see its current values
Comment 1 Paul Weil 2017-06-29 10:51:42 EDT
Thom,  Can you provide some more details here?  What, exactly, would you like to adjust within OpenShift?
Comment 2 Thom Carlin 2017-06-29 11:56:50 EDT
For example, by default a node allows 10 x number_of_cpus as the capacity/allocatable (e.g. for 2 CPUs, only 20 pods are allowed to run).  We reached that limit of non-terminated pods

I added more CPUs to the VM running the OpenShift node (e.g. 4):
* The CPUs were visible from RHEL
* Docker also detected the change
* OpenShift did not -- instead, I needed to restart the service for the limit to change

The RFE is for OpenShift to detect and adjust on the fly without user intervention.

It is important to note this would apply for *any* CPU-derived parameters, not just the example I used.
Comment 3 Paul Weil 2017-06-30 03:30:38 EDT
Thanks Thom.  I suspect, also, that someone would want to opt in to this behavior.  For instance I should be able to have my value honored if I want to limit capacity or want to reserve resources for non-OpenShift items.
Comment 4 Thom Carlin 2017-06-30 07:39:21 EDT
Paul, I'm unclear if the default should be opt-in or opt-out.  However, the end-user having the freedom to select (especially for NUMA) is a great point.

Note You need to log in before you can comment on or make changes to this bug.